DirectoryIterator::getGroup
DirectoryIterator::getMTime
DirectoryIterator
PHP Manual

# DirectoryIterator::getInode

(PHP 5)

DirectoryIterator::getInode — Get inode for the current DirectoryIterator item

### Description

public int DirectoryIterator::getInode ( void )

Get the inode number for the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the inode number for the file.

### Examples

Example #1 DirectoryIterator::getInode() example

This example displays the inode number for the directory containing the script.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
echo $iterator->getInode();
?>`

### See Also

- DirectoryIterator::getGroup() - Get group for the current DirectoryIterator item
- DirectoryIterator::getOwner() - Get owner of current DirectoryIterator item
- DirectoryIterator::getPerms() - Get the permissions of current DirectoryIterator item
- fileinode() - Gets file inode

DirectoryIterator::getGroup
DirectoryIterator::getMTime
DirectoryIterator
PHP Manual